<script setup lang="ts">
const props = defineProps({
  number: Number,
  title: String,
  info: String,
  active: Boolean
})
</script>

<template>
  <li
    v-if="props.active"
    class="p-2 flex items-center text-blue-600 dark:text-blue-500 space-x-2.5 rtl:space-x-reverse"
  >
    <span
      class="flex items-center justify-center w-6 h-6 sm:w-8 sm:h-8 border border-blue-600 rounded-full shrink-0 dark:border-blue-500"
    >
      {{ props.number }}
    </span>
    <span>
      <h3 class="font-medium leading-tight">{{ props.title }}</h3>
      <p class="text-sm">{{ props.info }}</p>
    </span>
  </li>

  <li
    v-else
    class="p-2 hidden lg:flex items-center text-gray-500 cursor-pointer rounded transition hover:bg-slate-200 dark:text-gray-400 dark:hover:bg-slate-600 space-x-2.5 rtl:space-x-reverse"
  >
    <span
      class="flex items-center justify-center w-8 h-8 border border-gray-500 rounded-full shrink-0 dark:border-gray-400"
    >
      {{ props.number }}
    </span>
    <span>
      <h3 class="font-medium leading-tight">{{ props.title }}</h3>
      <p class="text-xs sm:text-sm">{{ props.info }}</p>
    </span>
  </li>
</template>
